export default {
  email_sent: "邮件已发送",
  cant_send_email: "无法发送邮件",
  logout: "登出",
  verify_email: "验证您的电子邮件",
  verify_email_subtitle: "请验证您的电子邮件以继续。",
  resend_email: "重新发送邮件",
  resend_email_countdown: "在 {seconds} 秒后重新发送邮件",
  signin_error_subtitle: "请检查您的凭据并重试。",
  register_title: "创建账户",
  register_description: "在下方输入您的信息以创建您的账户",
  register_terms: "注册即表示您同意我们的",
  register_privacy: "隐私政策",
  register_privacy_link: "以及我们的",
  register_privacy_link_2: "隐私政策",
  password_forgot_title: "忘记密码？",
  password_forgot_subtitle: "输入您的电子邮件以重设密码",
  new_password: "新密码",
  new_password_placeholder: "输入您的新密码",
  current_password: "当前密码",
  current_password_placeholder: "输入您当前的密码",
  confirm_password: "确认密码",
  confirm_password_placeholder: "确认您的密码",

  success: {
    feedback_sent: "反馈已发送",
    password_forgot_success: "邮件已发送",
    reset_password_success: "密码重置成功",
    password_updated_successfully: "密码更新成功",
  },

  error: {
    invalid_credentials: "凭据无效或账户不存在",
    upload_failed: "上传失败",
    generic_error: "操作过程中出错",
    sending_email: "发送邮件时出错",
  },

  backend_errors: {
    EMAIL_ALREADY_EXISTS: "电子邮件已存在",
    INVALID_FILE_TYPE: "无效的文件类型",
    FILE_TOO_LARGE: "文件过大",
    NO_FILE_UPLOADED: "未上传文件",
    IMAGE_PROCESSING_ERROR: "图像处理错误",
    upload_failed: "上传失败",
  },

  profile: {
    new_workout: "新的锻炼",
    alert: {
      title: "您的进度存储在浏览器中。",
      create_account: "创建账户",
      log_in: "登录",
      to_ensure_it_is_not_getting_lost: "以确保不会丢失。",
    },
  },

  // Release Notes
  release_notes: {
    title: "新功能",
    release_notes: "更新日志",
    notes: {
      note_2025_06_19: {
        title: "📱 现已作为 PWA 提供！",
        content: "Workout.cool v1.2 现在是一个渐进式网络应用！将其安装在您的手机上，即可享受原生应用体验和离线访问。🚀",
      },
      note_2025_06_18: {
        title: "🚀 在 Hacker News 上排名第一！",
        content: "Workout.cool 在 Hacker News 上登顶！感谢大家的大力支持，欢迎所有新用户！💪",
      },
      note_2025_06_01: {
        title: "🎉 新功能：版本说明对话框",
        content: "您现在可以直接从标题栏查看新增功能！敬请期待更多更新。",
      },
      note_2025_05_20: {
        title: "UI 改进",
        content: "改进了移动设备响应能力，并为按钮添加了微妙的悬停效果。",
      },
    },
  },

  // Contact Support
  contact_support: "联系支持",
  contact_support_subtitle: "描述您的问题，我们将尽快帮助您。您也可以直接写信给我们：",

  // Social Platforms
  social_platforms: {
    x: "X (Twitter)",
    facebook: "Facebook",
    email: "电子邮件",
    whatsapp: "WhatsApp",
    website: "网站",
    phone: "电话",
    youtube: "YouTube",
    linkedin: "LinkedIn",
    snapchat: "Snapchat",
    instagram: "Instagram",
    tiktok: "TikTok",
    threads: "Threads",
  },

  // Workout Builder
  workout_builder: {
    confirm_delete: "您确定要删除此锻炼回合吗？",
    steps: {
      equipment: {
        title: "设备",
        description: "选择您的设备",
      },
      muscles: {
        title: "肌肉",
        description: "选择您的训练",
      },
      exercises: {
        title: "练习",
        description: "自定义您的锻炼",
      },
    },
    muscles: {
      back: "背部",
      abdominals: "腹肌",
      biceps: "肱二头肌",
      triceps: "肱三头肌",
      chest: "胸部",
      shoulders: "肩部",
      quadriceps: "股四头肌",
      hamstrings: "腿筋",
      glutes: "臀部",
      calves: "小腿",
      forearms: "前臂",
      traps: "斜方肌",
      obliques: "腹斜肌",
    },
    exercise: {
      watch_video: "观看视频",
      shuffle: "随机",
      pick: "选择",
      remove: "移除",
      no_video_available: "无可用视频。",
    },
    loading: {
      exercises: "正在加载练习...",
    },
    error: {
      loading_exercises: "加载练习时出错",
    },
    no_exercises_found: "未找到练习。请尝试更改您的设备或肌肉选择。",
    equipment: {
      bodyweight: {
        label: "自重",
        description: "仅使用自身体重的练习",
      },
      dumbbell: {
        label: "哑铃",
        description: "使用哑铃的自由重量练习",
      },
      barbell: {
        label: "杠铃",
        description: "使用杠铃的复合动作",
      },
      kettlebell: {
        label: "壶铃",
        description: "使用壶铃的动态练习",
      },
      band: {
        label: "弹力带",
        description: "使用阻力带的练习",
      },
      plate: {
        label: "配重片",
        description: "使用配重片的练习",
      },
      pullup_bar: {
        label: "引体向上杆",
        description: "使用引体向上杆的上半身练习",
      },
      bench: {
        label: "长凳",
        description: "长凳练习和支撑",
      },
    },
    navigation: {
      previous: "上一步",
      continue: "继续",
      complete: "完成",
    },
    stats: {
      "muscle_selected#zero": "已选择 0 块肌肉",
      "muscle_selected#one": "已选择 1 块肌肉",
      "muscle_selected#other": "已选择 {count} 块肌肉",
      "equipment_selected#zero": "已选择 0 件设备",
      "equipment_selected#one": "已选择 1 件设备",
      "equipment_selected#other": "已选择 {count} 件设备",
      selected: "已选择",
      total: "总计",
      equipment_ready: "设备准备就绪",
      equipment_ready_plural: "设备准备就绪",
    },
    selection: {
      choose_your_arsenal: "选择您的“武器”",
      select_equipment_description: "选择设备以解锁个性化锻炼",
      clear_all: "全部清除",
      muscle_selection_coming_soon: "肌肉选择（即将推出）",
      muscle_selection_description: "点击选择您想训练的肌肉。",
      exercise_selection_coming_soon: "练习选择（即将推出）",
      exercise_selection_description: "此步骤将向您显示个性化的练习建议。",
    },
    session: {
      back_to_workout: "返回锻炼",
      congrats: "恭喜，锻炼完成！🎉",
      congrats_subtitle: "您做到了！",
      see_instructions: "查看说明",
      finish_set: "完成组",
      finish_session: "完成回合",
      bodyweight: "自重",
      weight: "重量",
      reps: "次数",
      time: "时间",
      next_exercise: "下一个练习",
      add_set: "添加组",
      add_column: "添加列",
      add_row: "添加行",
      remove_column: "移除列",
      set_number: "第 {number} 组",
      set_number_plural: "第 {number} 组",
      set_number_singular: "第 {number} 组",
      set_number_plural_singular: "第 {number} 组",
      workout_in_progress: "锻炼进行中",
      started_at: "开始于",
      quit_workout: "退出锻炼",
      elapsed_time: "已用时间",
      chronometer: "计时器",
      exercise_progress: "练习进度",
      total_volume: "总训练量",
      current_exercise: "当前练习",
      complete: "完成",
      active: "进行中",
      already_have_a_active_session: "您已有一个进行中的回合。在完成或退出锻炼前无法重复。",
      no_exercise_selected: "未选择练习",
      quit_workout_title: "退出锻炼？",
      progress: "进度",
      quit_warning: "您确定要退出吗？您可以保存进度或完全丢失它。",
      save_and_quit: "保存并退出",
      quit_without_save: "不保存退出",
      continue_workout: "继续锻炼",
      history: "锻炼历史 [{count}]",
      no_workout_yet: "尚无锻炼记录。",
      start: "开始",
      end: "结束",
      exercise: "练习",
      repeat: "重复",
      delete: "删除",
    },
    attribute_value: {
      bodyweight: "自重",
      strength: "力量",
      powerlifting: "力量举",
      calisthenic: "健美操",
      plyometrics: "增强式训练",
      stretching: "拉伸",
      strongman: "大力士",
      cardio: "有氧运动",
      stabilization: "稳定",
      power: "爆发力",
      resistance: "阻力",
      crossfit: "CrossFit",
      weightlifting: "举重",
      neck: "颈部",
      lats: "背阔肌",
      adductors: "内收肌",
      abductors: "外展肌",
      groin: "腹股沟",
      full_body: "全身",
      rotator_cuff: "肩袖",
      hip_flexor: "髋屈肌",
      achilles_tendon: "跟腱",
      fingers: "手指",
      smith_machine: "史密斯机",
      other: "其他",
      ez_bar: "EZ 曲杆",
      machine: "器械",
      desk: "桌子",
      none: "无",
      cable: "绳索",
      medicine_ball: "药球",
      swiss_ball: "瑞士球",
      foam_roll: "泡沫轴",
      trx: "TRX",
      box: "箱子",
      ropes: "绳索",
      spin_bike: "动感单车",
      step: "踏板",
      bosu: "BOSU 球",
      tyre: "轮胎",
      sandbag: "沙袋",
      pole: "杆",
      wall: "墙",
      bar: "杠",
      rack: "架子",
      car: "汽车",
      sled: "雪橇",
      chain: "链条",
      skierg: "滑雪机",
      rope: "绳子",
      na: "不适用",
      isolation: "孤立",
      compound: "复合",
    },
  },
  commons: {
    signup_with: "使用 {provider} 注册",
    signin_with: "使用 {provider} 登录",
    signup: "注册",
    login: "登录",
    connecting: "连接中...",
    login_to_your_account_title: "登录您的账户",
    login_to_your_account_subtitle: "在下方输入您的凭据以登录",
    password_forgot: "忘记密码？",
    password_reset_success: "密码重置成功",
    dont_have_account: "没有账户？",
    already_have_account: "已经有账户了？",
    or: "或",
    add: "添加",
    your_feminine: "您的",
    password: "密码",
    email: "电子邮件",
    logout: "登出",
    first_name: "名",
    last_name: "姓",
    verify_password: "验证密码",
    submit: "提交",
    upload: "上传",
    cancel: "取消",
    save_changes: "保存更改",
    change: "更改",
    subject: "主题",
    message: "消息",
    saving: "保存中...",
    edit: "编辑",
    more_options: "更多选项",
    open_link: "打开链接",
    hide: "隐藏",
    make_visible: "设为可见",
    delete: "删除",
    share: "分享",
    title: "标题",
    subtitle: "副标题",
    content: "内容",
    save: "保存",
    button: "按钮",
    card: "卡片",
    go_back: "返回",
    next: "下一步",
    choose_image: "选择图片",
    soon: "即将推出",
    coming_soon_with_emoji: "即将推出 🤫",
    no_image: "无图片",
    description: "描述",
    price: "价格",
    duration: "时长",
    location: "地点",
    schedule: "时间表",
    participants_info: "参与者信息",
    description_placeholder: "输入描述",
    title_placeholder: "输入标题",
    changes_saved: "更改已保存",
    replace: "替换",
    loading: "加载中...",
    image_deleted: "图片已删除",
    discover_workoutcool: "发现 Workout Cool",
    received_just_now: "刚刚收到",
    copied: "已复制",
    url_copied: "URL 已复制",
    copy_failed: "复制失败",
    accordion: "手风琴",
    image: "图片",
    other: "其他",
    register: "注册",
    instantly: "立即",
    immediately: "立即",
    link: "链接",
    accept: "接受",
    deny: "拒绝",
    invalid_input: "输入无效。请检查错误。",
    copy_url: "复制 URL",
    page_url: "页面 URL",
    saving_short: "保存中...",
    saved_short: "好的",
    looks_like_you_are_lost: "您似乎迷路了",
    the_page_you_are_looking_for_is_not_available: "您正在查找的页面不可用",
    go_to_home: "返回首页",
    go_to_profile: "转到个人资料",
    terms: "服务条款",
    privacy: "隐私政策",
    sales_terms: "销售条款",
    consent_banner: "我们使用 cookie 来改善您的体验。点击“接受”，即表示您同意我们使用 cookie。",
    about: "关于我们",
    profile: "个人资料",
    donate: "捐赠",
    my_account: "我的账户",
    dashboard: "仪表盘",
    home: "首页",
    changelog: "更新日志",
    stop_impersonation_button: "停止模拟",
    impersonating_user_label: "正在模拟用户",
    re_hello: "再次问好",
    back_to_login: "返回登录",
    sending: "发送中...",
    send_me_link: "给我发送链接",
    extremely_dissatisfied: "非常不满意",
    somewhat_dissatisfied: "有些不满意",
    neutral: "中立",
    satisfied: "满意",
    support: "支持",
    change_language: "更改语言",
    in_progress: "进行中",
  },
} as const;
